package com.scan.scantest;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.widget.TextView;

import com.scan.scanner.CodeInfo;
import com.scan.scanner.ScanBarcodeCallBack;
import com.scan.scanner.ScanUtil;


public class MainActivity extends AppCompatActivity {


    private TextView tvCode;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        tvCode=(TextView)findViewById(R.id.tvCode);

        ScanUtil.scannerFactory(MainActivity.this);
        ScanUtil.open();
        ScanUtil.startScan();
        ScanUtil.setScanBarcodeCallBack(new ScanBarcodeCallBack() {
            @Override
            public void getBarcode(CodeInfo codeInfo) {
                tvCode.append(codeInfo.barcode);
                tvCode.append(codeInfo.codetype);
                tvCode.append(codeInfo.length+"");
            }
        });


    }


    @Override
    protected void onDestroy() {
        ScanUtil.close();
        super.onDestroy();
    }
}
